#
# spec file for package flxmlrpc
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover 1
Name:           flxmlrpc
Version:        1.0.1
Release:        13.78
Summary:        An implementation of the XMLRPC protocol
License:        LGPL-3.0-or-later
Group:          Productivity/Hamradio/Other
URL:            https://sourceforge.net/projects/fldigi/
#Git-Clone:     https://git.code.sf.net/p/fldigi/flxmlrpc
Source:         %{name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig

%description
An implementation of the XMLRPC protocol written in C++, based upon XmlRpc++0.7
and modified to provide additional XMLRPC variable types. It is used in
fldigi, flrig, flnet, flmsg, flarq, flamp, fllog,
a suite of programs written for amateur radio emergency communications.
Both client and server objects can be used in applications for
peer-to-peer support.

%package -n libflxmlrpc%{sover}
Summary:        An implementation of the XMLRPC protocol
Group:          Development/Libraries/Other

%description -n libflxmlrpc%{sover}
An implementation of the XMLRPC protocol written in C++, based upon XmlRpc++0.7
and modified to provide additional XMLRPC variable types. It is used in
fldigi, flrig, flnet, flmsg, flarq, flamp, fllog,
a suite of programs written for amateur radio emergency communications.
Both client and server objects can be used in applications for
peer-to-peer support.

%package devel
Summary:        Flxmlrpc development libraries
Group:          Development/Libraries/Other
Requires:       libflxmlrpc%{sover} = %{version}

%description devel
An implementation of the XMLRPC protocol written in C++, based upon XmlRpc++0.7
and modified to provide additional XMLRPC variable types. It is used in
fldigi, flrig, flnet, flmsg, flarq, flamp, fllog,
a suite of programs written for amateur radio emergency communications.

%prep
%setup -q
sed -i 's/\r$//' COPYING

%build
sh autogen.sh
%configure \
  --disable-static
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libflxmlrpc%{sover} -p /sbin/ldconfig
%postun -n libflxmlrpc%{sover} -p /sbin/ldconfig

%files -n libflxmlrpc%{sover}
%license COPYING
%doc README AUTHORS NEWS
%{_libdir}/libflxmlrpc.so.%{sover}*

%files devel
%{_includedir}/flxmlrpc
%{_libdir}/libflxmlrpc.so
%{_libdir}/pkgconfig/flxmlrpc.pc

%changelog
* Sun Aug 22 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Fixed to use source snapshot from fldigi git repository
* Mon Aug 16 2021 Martin Hauke <mardnh@gmx.de>
- Redownload tarball
* Mon Aug 16 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 1.0.1 (not released)
  * update XmlRpcBase64.h file to comply with flxxx internals
- update to version 1.0.0 (not released)
  * add client_id tag
  * remove files that should be locally created
- update to version 0.1.5 (not released)
  * fix XmlRpc tm_mday comparison typo
* Wed Feb 12 2020 Martin Pluskal <mpluskal@suse.com>
- Small package modernisation
* Tue Jun 20 2017 mpluskal@suse.com
- Update licensing
* Tue May 16 2017 jengelh@inai.de
- Correct some orthographic errors in the descriptions.
  Trim to neutrality.
* Tue May 16 2017 mpluskal@suse.com
- Do not build and ship static library
* Sun Apr 16 2017 mardnh@gmx.de
- Rename %%soname to %%sover to better reflect its use
- Run spec-cleaner
- Fix Source
- Fix Url
- minor specfile cleanup
* Thu May  7 2015 dl8fcl@darc.de
- update to version 0.1.4
* Thu Apr 23 2015 dl8fcl@darc.de
- import into build service
